jaberwacky Posted October 10, 2013 Share Posted October 10, 2013 (edited) I noticed that you reassign "ERROR" to $rValue every iteration. I think that "ERROR" is assigned and then this evaluates to False: If $ALL_OBJECTS.Current.Name() = "BEAM" Then. This will overwrite $rValue. Try moving $rValue out of the loop. Edited October 10, 2013 by jaberwocky6669 Helpful Posts and Websites: AutoIt3 Variables and Function Parameters MHz | AutoIt Wiki | Using the GUIToolTip UDF BrewManNH | Can't find what you're looking for on the Forum? Link to comment Share on other sites More sharing options...
MrJustinMeyer Posted October 10, 2013 Author Share Posted October 10, 2013 I noticed that you reassign "ERROR" to $rValue every iteration. I think that "ERROR" is assigned and then this evaluates to False: If $ALL_OBJECTS.Current.Name() = "BEAM" Then. This will overwrite $rValue. Try moving $rValue out of the loop. Moved the $R_VALUE outside the loop, also tried giving it an empty string (= "") and the result is whatever I define the variable to be. The method does not supply the the queried information. Current code below, also attached all msgbox photos in order of appearance. expandcollapse popup#AutoIt3Wrapper_UseX64=n Local $oErrorHandler = ObjEvent("AutoIt.Error", "_ErrFunc") $TSMm = ObjCreate("Tekla.Structures.Model.Model") If @error Then MsgBox(1,"ERROR", "Tekla.Structures.Model.Model" & @CRLF & "Could not connect to Tekla, verify and rerun") Exit EndIf Sleep(1000) If Not $TSMm.GetConnectionStatus() = "True" Then MsgBox(0, "Error", "Tekla Connection Failure") Exit EndIf $ALL_OBJECTS = $TSMm.GetModelObjectSelector().GetAllObjectsWithType(1) ;TYPE 1 = BEAM MODELOBJECTCLASS If @error Then MsgBox(1,"ERROR", "Tekla.Structures.Model.Model" & @CRLF & "ObjectSelector") Exit EndIf MsgBox(0, "", "Object Interface Name: " & ObjName($ALL_OBJECTS, 1) & @CRLF & _ "Object Description: " & ObjName($ALL_OBJECTS, 2) & @CRLF & _ "Object ProgID: " & ObjName($ALL_OBJECTS, 3) & @CRLF & _ "File Associated with Object: " & ObjName($ALL_OBJECTS, 4) & @CRLF & _ "Object Module Name: " & ObjName($ALL_OBJECTS, 5) & @CRLF & _ "CLSID: " & ObjName($ALL_OBJECTS, 6) & @CRLF & _ "IID of Objects Interface: " & ObjName($ALL_OBJECTS, 7)) $COUNT = 0 $DATA = "DATA:" Global $R_VALUE = "ERROR" ;Defined to show change from method below While $ALL_OBJECTS.MoveNext() If $ALL_OBJECTS.Current.Name() = "BEAM" Then ;Only Objects with BEAM name - Works $PROP_REPORT = $ALL_OBJECTS.Current.GetReportProperty("PROFILE", $R_VALUE) $DATA = $DATA & @CRLF & "PROFILE = " & $PROP_REPORT & " VALUE = " & $R_VALUE ;$PROP_REPORT returns true unless first string is not found, $R_VALUE is not modified ;$DATA result is PROFILE = TRUE and VALUE = ERROR EndIf $COUNT = $COUNT + 1 WEnd MsgBox(0, "OBJECT COUNT", $COUNT) MsgBox(0, "DATA", $DATA) Func _ErrFunc($oError) msgBox(0, "COM Error", "err.number is: " & @TAB & $oError.number & @CRLF & _ "err.windescription:" & @TAB & $oError.windescription & @CRLF & _ "err.description is: " & @TAB & $oError.description & @CRLF & _ "err.source is: " & @TAB & $oError.source & @CRLF & _ "err.helpfile is: " & @TAB & $oError.helpfile & @CRLF & _ "err.helpcontext is: " & @TAB & $oError.helpcontext & @CRLF & _ "err.lastdllerror is: " & @TAB & $oError.lastdllerror & @CRLF & _ "err.scriptline is: " & @TAB & $oError.scriptline & @CRLF & _ "err.retcode is: " & @TAB & $oError.retcode) EndFunc ;==>_ErrFunc Link to comment Share on other sites More sharing options...
trancexx Posted October 10, 2013 Share Posted October 10, 2013 expandcollapse popup#AutoIt3Wrapper_UseX64=n Local $oErrorHandler = ObjEvent("AutoIt.Error", "_ErrFunc") $TSMm = ObjCreate("Tekla.Structures.Model.Model") If @error Then MsgBox(1,"ERROR", "Tekla.Structures.Model.Model" & @CRLF & "Could not connect to Tekla, verify and rerun") Exit EndIf Sleep(1000) If Not $TSMm.GetConnectionStatus() = "True" Then MsgBox(0, "Error", "Tekla Connection Failure") Exit EndIf $ALL_OBJECTS = $TSMm.GetModelObjectSelector().GetAllObjectsWithType(1) ;TYPE 1 = BEAM MODELOBJECTCLASS If @error Then MsgBox(1,"ERROR", "Tekla.Structures.Model.Model" & @CRLF & "ObjectSelector") Exit EndIf MsgBox(0, "", "Object Interface Name: " & ObjName($ALL_OBJECTS, 1) & @CRLF & _ "Object Description: " & ObjName($ALL_OBJECTS, 2) & @CRLF & _ "Object ProgID: " & ObjName($ALL_OBJECTS, 3) & @CRLF & _ "File Associated with Object: " & ObjName($ALL_OBJECTS, 4) & @CRLF & _ "Object Module Name: " & ObjName($ALL_OBJECTS, 5) & @CRLF & _ "CLSID: " & ObjName($ALL_OBJECTS, 6) & @CRLF & _ "IID of Objects Interface: " & ObjName($ALL_OBJECTS, 7)) $COUNT = 0 $DATA = "DATA:" While $ALL_OBJECTS.MoveNext() Global $R_VALUE = "ERROR" ;Defined to show change from method below If $ALL_OBJECTS.Current.Name() = "BEAM" Then ;Only Objects with BEAM name - Works $PROP_REPORT = $ALL_OBJECTS.Current.GetReportProperty_2("PROFILE", $R_VALUE) $DATA = $DATA & @CRLF & "PROFILE = " & $PROP_REPORT & " VALUE = " & $R_VALUE ;$PROP_REPORT returns true unless first string is not found, $R_VALUE is not modified ;$DATA result is PROFILE = TRUE and VALUE = ERROR EndIf $COUNT = $COUNT + 1 WEnd MsgBox(0, "OBJECT COUNT", $COUNT) MsgBox(0, "DATA", $DATA) Func _ErrFunc($oError) msgBox(0, "COM Error", "err.number is: " & @TAB & $oError.number & @CRLF & _ "err.windescription:" & @TAB & $oError.windescription & @CRLF & _ "err.description is: " & @TAB & $oError.description & @CRLF & _ "err.source is: " & @TAB & $oError.source & @CRLF & _ "err.helpfile is: " & @TAB & $oError.helpfile & @CRLF & _ "err.helpcontext is: " & @TAB & $oError.helpcontext & @CRLF & _ "err.lastdllerror is: " & @TAB & $oError.lastdllerror & @CRLF & _ "err.scriptline is: " & @TAB & $oError.scriptline & @CRLF & _ "err.retcode is: " & @TAB & $oError.retcode) EndFunc ;==>_ErrFunc Line 39 is: If $ALL_OBJECTS.Current.Name() = "BEAM" Then ...That's not the line that you said that you have issues with. Btw, "Name" is property, not method. Try without brackets. ♡♡♡ . eMyvnE Link to comment Share on other sites More sharing options...
MrJustinMeyer Posted October 11, 2013 Author Share Posted October 11, 2013 I am not sure where I may have caused the confusion, but the line I am having trouble with is; $PROP_REPORT = $ALL_OBJECTS.Current.GetReportProperty("PROFILE", $R_VALUE) To recap, the $R_VALUE is not getting the "PROFILE" from the current object. I removed the brackets and the property is compared to the string "BEAM" as you said. Results are the same. expandcollapse popup#AutoIt3Wrapper_UseX64=n Local $oErrorHandler = ObjEvent("AutoIt.Error", "_ErrFunc") $TSMm = ObjCreate("Tekla.Structures.Model.Model") If @error Then MsgBox(1,"ERROR", "Tekla.Structures.Model.Model" & @CRLF & "Could not connect to Tekla, verify and rerun") Exit EndIf Sleep(1000) If Not $TSMm.GetConnectionStatus() = "True" Then MsgBox(0, "Error", "Tekla Connection Failure") Exit EndIf $ALL_OBJECTS = $TSMm.GetModelObjectSelector().GetAllObjectsWithType(1) ;TYPE 1 = BEAM MODELOBJECTCLASS If @error Then MsgBox(1,"ERROR", "Tekla.Structures.Model.Model" & @CRLF & "ObjectSelector") Exit EndIf MsgBox(0, "", "Object Interface Name: " & ObjName($ALL_OBJECTS, 1) & @CRLF & _ "Object Description: " & ObjName($ALL_OBJECTS, 2) & @CRLF & _ "Object ProgID: " & ObjName($ALL_OBJECTS, 3) & @CRLF & _ "File Associated with Object: " & ObjName($ALL_OBJECTS, 4) & @CRLF & _ "Object Module Name: " & ObjName($ALL_OBJECTS, 5) & @CRLF & _ "CLSID: " & ObjName($ALL_OBJECTS, 6) & @CRLF & _ "IID of Objects Interface: " & ObjName($ALL_OBJECTS, 7)) $COUNT = 0 $DATA = "DATA:" Global $R_VALUE = "ERROR" ;Defined to show change from method below While $ALL_OBJECTS.MoveNext() If $ALL_OBJECTS.Current.Name = "BEAM" Then ;Only Objects with BEAM name - Works $PROP_REPORT = $ALL_OBJECTS.Current.GetReportProperty("PROFILE", $R_VALUE) $DATA = $DATA & @CRLF & "PROFILE = " & $PROP_REPORT & " VALUE = " & $R_VALUE ;$PROP_REPORT returns true unless first string is not found, $R_VALUE is not modified ;$DATA result is PROFILE = TRUE and VALUE = ERROR EndIf $COUNT = $COUNT + 1 WEnd MsgBox(0, "OBJECT COUNT", $COUNT) MsgBox(0, "DATA", $DATA) Func _ErrFunc($oError) msgBox(0, "COM Error", "err.number is: " & @TAB & $oError.number & @CRLF & _ "err.windescription:" & @TAB & $oError.windescription & @CRLF & _ "err.description is: " & @TAB & $oError.description & @CRLF & _ "err.source is: " & @TAB & $oError.source & @CRLF & _ "err.helpfile is: " & @TAB & $oError.helpfile & @CRLF & _ "err.helpcontext is: " & @TAB & $oError.helpcontext & @CRLF & _ "err.lastdllerror is: " & @TAB & $oError.lastdllerror & @CRLF & _ "err.scriptline is: " & @TAB & $oError.scriptline & @CRLF & _ "err.retcode is: " & @TAB & $oError.retcode) EndFunc ;==>_ErrFunc Link to comment Share on other sites More sharing options...
MrJustinMeyer Posted October 11, 2013 Author Share Posted October 11, 2013 A few interesting developments, yet no solution. I have made some changes to the code, the primary one being; Attempting to retrieve "CHECKED_BY" via "GetUserProperty" vs "PROFILE" via "GetReportProperty" for two reasons, (1) I am trying to stick to the example I have in C# (First Post) and, (2) I was able to retrieve "PROFILE" another way (though that was not goal, I need to be able to get specified report poroperties), see code. What I find very interesting is that $PROP_REPORT returns "True" only if a the "CHECKED_BY" property of a member in the model has been set, otherwise it is "False". See results below. Unfortunately the $CBY variable is still not updated (with who it was checked by) by the method. FYI this was $R_VALUE in previous posts. Code; expandcollapse popup#AutoIt3Wrapper_UseX64=n Local $oErrorHandler = ObjEvent("AutoIt.Error", "_ErrFunc") $TSMm = ObjCreate("Tekla.Structures.Model.Model") If @error Then MsgBox(1,"ERROR", "Tekla.Structures.Model.Model" & @CRLF & "Could not connect to Tekla, verify and rerun") Exit EndIf If Not $TSMm.GetConnectionStatus() = "True" Then MsgBox(0, "Error", "Tekla Connection Failure") Exit EndIf $ALL_OBJECTS = $TSMm.GetModelObjectSelector().GetAllObjectsWithType(1) ;TYPE 1 = BEAM MODELOBJECTCLASS If @error Then MsgBox(1,"ERROR", "Tekla.Structures.Model.Model" & @CRLF & "ObjectSelector") Exit EndIf $COUNT = 0 $DATA = "NAME = BEAM:" & @CRLF While $ALL_OBJECTS.MoveNext $CURRENT = $ALL_OBJECTS.Current Global $CBY = "*" If $CURRENT.Name = "BEAM" Then $PROFILE = $CURRENT.Profile.ProfileString $ID = $CURRENT.Identifier.ToString $GUID = $TSMm.GetGUIDByIdentifier($CURRENT.Identifier) $PROP_REPORT = $CURRENT.GetUserProperty("CHECKED_BY", $CBY) $DATA = $DATA & @CRLF & "GUID=" & $GUID & @CRLF & " PROP_REPORT=" & $PROP_REPORT & " CHECKED_BY=" & $CBY $DATA = $DATA & @CRLF & " PROFILE=" & $PROFILE EndIf $COUNT = $COUNT + 1 WEnd ClipPut($DATA) MsgBox(0, $COUNT & " OBJECTS", $DATA) Func _ErrFunc($oError) msgBox(0, "COM Error", "err.number is: " & @TAB & $oError.number & @CRLF & _ "err.windescription:" & @TAB & $oError.windescription & @CRLF & _ "err.description is: " & @TAB & $oError.description & @CRLF & _ "err.source is: " & @TAB & $oError.source & @CRLF & _ "err.helpfile is: " & @TAB & $oError.helpfile & @CRLF & _ "err.helpcontext is: " & @TAB & $oError.helpcontext & @CRLF & _ "err.lastdllerror is: " & @TAB & $oError.lastdllerror & @CRLF & _ "err.scriptline is: " & @TAB & $oError.scriptline & @CRLF & _ "err.retcode is: " & @TAB & $oError.retcode) EndFunc ;==>_ErrFunc Results; expandcollapse popupNAME = BEAM: GUID=ID5252F41B-0000-41C4-3133-383131363833 PROP_REPORT=True CHECKED_BY=* PROFILE=W12X58 GUID=ID524D5D86-000A-EF17-3133-383038313836 PROP_REPORT=False CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-000A-EF13-3133-383038313836 PROP_REPORT=True CHECKED_BY=* PROFILE=W12X40 GUID=ID524C72CC-0000-0004-3133-383037343138 PROP_REPORT=False CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-0000-0004-3133-383038303139 PROP_REPORT=False CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-000A-EF71-3133-383038313839 PROP_REPORT=False CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-000C-AB8D-3133-383038323031 PROP_REPORT=False CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-000C-EB28-3133-383038323032 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-000C-EB20-3133-383038323032 PROP_REPORT=True CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-0002-3B01-3133-383038303838 PROP_REPORT=False CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-0006-B239-3133-383038313137 PROP_REPORT=False CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-0002-3AFD-3133-383038303838 PROP_REPORT=True CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-0002-3B09-3133-383038303838 PROP_REPORT=False CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-000A-EF5F-3133-383038313838 PROP_REPORT=False CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-000C-AB89-3133-383038323031 PROP_REPORT=False CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-0006-7280-3133-383038313135 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-0002-3B05-3133-383038303838 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-000A-EF85-3133-383038313839 PROP_REPORT=False CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-0000-3F8B-3133-383038303230 PROP_REPORT=False CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-0006-7283-3133-383038313136 PROP_REPORT=False CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-0006-B23D-3133-383038313137 PROP_REPORT=False CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-000C-EB24-3133-383038323032 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID5253F579-0000-00E0-3133-383132333436 PROP_REPORT=False CHECKED_BY=* PROFILE=W16X40 Link to comment Share on other sites More sharing options...
trancexx Posted October 12, 2013 Share Posted October 12, 2013 I am not sure where I may have caused the confusionThat's very simple to answer, you posted the wrong code. I asked of you to post the code that caused the error and you posted some other code which would cause error to be displayed on another line. Don't do that if you want serious help.So, if you don't mind, could you run this exact code and post the error you get:expandcollapse popup#AutoIt3Wrapper_UseX64=n Local $oErrorHandler = ObjEvent("AutoIt.Error", "_ErrFunc") $TSMm = ObjCreate("Tekla.Structures.Model.Model") If @error Then MsgBox(1,"ERROR", "Tekla.Structures.Model.Model" & @CRLF & "Could not connect to Tekla, verify and rerun") Exit EndIf If Not $TSMm.GetConnectionStatus() = "True" Then MsgBox(0, "Error", "Tekla Connection Failure") Exit EndIf $ALL_OBJECTS = $TSMm.GetModelObjectSelector().GetAllObjectsWithType(1) ;TYPE 1 = BEAM MODELOBJECTCLASS If @error Then MsgBox(1,"ERROR", "Tekla.Structures.Model.Model" & @CRLF & "ObjectSelector") Exit EndIf $COUNT = 0 $DATA = "NAME = BEAM:" & @CRLF While $ALL_OBJECTS.MoveNext $CURRENT = $ALL_OBJECTS.Current Global $CBY = "*" If $CURRENT.Name = "BEAM" Then $PROFILE = $CURRENT.Profile.ProfileString $ID = $CURRENT.Identifier.ToString $GUID = $TSMm.GetGUIDByIdentifier($CURRENT.Identifier) $PROP_REPORT = $CURRENT.GetUserProperty_2("CHECKED_BY", $CBY) $DATA = $DATA & @CRLF & "GUID=" & $GUID & @CRLF & " PROP_REPORT=" & $PROP_REPORT & " CHECKED_BY=" & $CBY $DATA = $DATA & @CRLF & " PROFILE=" & $PROFILE EndIf $COUNT = $COUNT + 1 WEnd ClipPut($DATA) MsgBox(0, $COUNT & " OBJECTS", $DATA) Func _ErrFunc($oError) msgBox(0, "COM Error", "err.number is: " & @TAB & $oError.number & @CRLF & _ "err.windescription:" & @TAB & $oError.windescription & @CRLF & _ "err.description is: " & @TAB & $oError.description & @CRLF & _ "err.source is: " & @TAB & $oError.source & @CRLF & _ "err.helpfile is: " & @TAB & $oError.helpfile & @CRLF & _ "err.helpcontext is: " & @TAB & $oError.helpcontext & @CRLF & _ "err.lastdllerror is: " & @TAB & $oError.lastdllerror & @CRLF & _ "err.scriptline is: " & @TAB & $oError.scriptline & @CRLF & _ "err.retcode is: " & @TAB & $oError.retcode) EndFunc ;==>_ErrFunc ♡♡♡ . eMyvnE Link to comment Share on other sites More sharing options...
MrJustinMeyer Posted October 13, 2013 Author Share Posted October 13, 2013 That's very simple to answer, you posted the wrong code. I asked of you to post the code that caused the error and you posted some other code which would cause error to be displayed on another line. Don't do that if you want serious help. So, if you don't mind, could you run this exact code and post the error you get: expandcollapse popup#AutoIt3Wrapper_UseX64=n Local $oErrorHandler = ObjEvent("AutoIt.Error", "_ErrFunc") $TSMm = ObjCreate("Tekla.Structures.Model.Model") If @error Then MsgBox(1,"ERROR", "Tekla.Structures.Model.Model" & @CRLF & "Could not connect to Tekla, verify and rerun") Exit EndIf If Not $TSMm.GetConnectionStatus() = "True" Then MsgBox(0, "Error", "Tekla Connection Failure") Exit EndIf $ALL_OBJECTS = $TSMm.GetModelObjectSelector().GetAllObjectsWithType(1) ;TYPE 1 = BEAM MODELOBJECTCLASS If @error Then MsgBox(1,"ERROR", "Tekla.Structures.Model.Model" & @CRLF & "ObjectSelector") Exit EndIf $COUNT = 0 $DATA = "NAME = BEAM:" & @CRLF While $ALL_OBJECTS.MoveNext $CURRENT = $ALL_OBJECTS.Current Global $CBY = "*" If $CURRENT.Name = "BEAM" Then $PROFILE = $CURRENT.Profile.ProfileString $ID = $CURRENT.Identifier.ToString $GUID = $TSMm.GetGUIDByIdentifier($CURRENT.Identifier) $PROP_REPORT = $CURRENT.GetUserProperty_2("CHECKED_BY", $CBY) $DATA = $DATA & @CRLF & "GUID=" & $GUID & @CRLF & " PROP_REPORT=" & $PROP_REPORT & " CHECKED_BY=" & $CBY $DATA = $DATA & @CRLF & " PROFILE=" & $PROFILE EndIf $COUNT = $COUNT + 1 WEnd ClipPut($DATA) MsgBox(0, $COUNT & " OBJECTS", $DATA) Func _ErrFunc($oError) msgBox(0, "COM Error", "err.number is: " & @TAB & $oError.number & @CRLF & _ "err.windescription:" & @TAB & $oError.windescription & @CRLF & _ "err.description is: " & @TAB & $oError.description & @CRLF & _ "err.source is: " & @TAB & $oError.source & @CRLF & _ "err.helpfile is: " & @TAB & $oError.helpfile & @CRLF & _ "err.helpcontext is: " & @TAB & $oError.helpcontext & @CRLF & _ "err.lastdllerror is: " & @TAB & $oError.lastdllerror & @CRLF & _ "err.scriptline is: " & @TAB & $oError.scriptline & @CRLF & _ "err.retcode is: " & @TAB & $oError.retcode) EndFunc ;==>_ErrFunc The attached image below is the error of the code your quoting. I understand that you are very involved (and likely busy) so, not only do I want yours and others "serious help", I truly appreciate it. I am trying to come up with a solution myself along with the help of others. I can not and will not just wait for someone else to tell me how to do it. The code will likely change, hourly, but most importantly the question will remain the same until the thread is answered. Link to comment Share on other sites More sharing options...
trancexx Posted October 13, 2013 Share Posted October 13, 2013 Ok thanks. Now run this and post the error and the result:expandcollapse popup#AutoIt3Wrapper_UseX64=n Local $oErrorHandler = ObjEvent("AutoIt.Error", "_ErrFunc") $TSMm = ObjCreate("Tekla.Structures.Model.Model") If @error Then MsgBox(1,"ERROR", "Tekla.Structures.Model.Model" & @CRLF & "Could not connect to Tekla, verify and rerun") Exit EndIf If Not $TSMm.GetConnectionStatus() = "True" Then MsgBox(0, "Error", "Tekla Connection Failure") Exit EndIf $ALL_OBJECTS = $TSMm.GetModelObjectSelector().GetAllObjectsWithType(1) ;TYPE 1 = BEAM MODELOBJECTCLASS If @error Then MsgBox(1,"ERROR", "Tekla.Structures.Model.Model" & @CRLF & "ObjectSelector") Exit EndIf $COUNT = 0 $DATA = "NAME = BEAM:" & @CRLF While $ALL_OBJECTS.MoveNext $CURRENT = $ALL_OBJECTS.Current Global $CBY = "*" If $CURRENT.Name = "BEAM" Then $PROFILE = $CURRENT.Profile.ProfileString $ID = $CURRENT.Identifier.ToString $GUID = $TSMm.GetGUIDByIdentifier($CURRENT.Identifier) $CURRENT.SetUserProperty("CHECKED_BY", "Something") $PROP_REPORT = $CURRENT.GetUserProperty("CHECKED_BY", $CBY) $DATA = $DATA & @CRLF & "GUID=" & $GUID & @CRLF & " PROP_REPORT=" & $PROP_REPORT & " CHECKED_BY=" & $CBY $DATA = $DATA & @CRLF & " PROFILE=" & $PROFILE EndIf $COUNT = $COUNT + 1 WEnd ClipPut($DATA) MsgBox(0, $COUNT & " OBJECTS", $DATA) Func _ErrFunc($oError) msgBox(0, "COM Error", "err.number is: " & @TAB & $oError.number & @CRLF & _ "err.windescription:" & @TAB & $oError.windescription & @CRLF & _ "err.description is: " & @TAB & $oError.description & @CRLF & _ "err.source is: " & @TAB & $oError.source & @CRLF & _ "err.helpfile is: " & @TAB & $oError.helpfile & @CRLF & _ "err.helpcontext is: " & @TAB & $oError.helpcontext & @CRLF & _ "err.lastdllerror is: " & @TAB & $oError.lastdllerror & @CRLF & _ "err.scriptline is: " & @TAB & $oError.scriptline & @CRLF & _ "err.retcode is: " & @TAB & $oError.retcode) EndFunc ;==>_ErrFunc ♡♡♡ . eMyvnE Link to comment Share on other sites More sharing options...
MrJustinMeyer Posted October 14, 2013 Author Share Posted October 14, 2013 Ok thanks. Now run this and post the error and the result: expandcollapse popup#AutoIt3Wrapper_UseX64=n Local $oErrorHandler = ObjEvent("AutoIt.Error", "_ErrFunc") $TSMm = ObjCreate("Tekla.Structures.Model.Model") If @error Then MsgBox(1,"ERROR", "Tekla.Structures.Model.Model" & @CRLF & "Could not connect to Tekla, verify and rerun") Exit EndIf If Not $TSMm.GetConnectionStatus() = "True" Then MsgBox(0, "Error", "Tekla Connection Failure") Exit EndIf $ALL_OBJECTS = $TSMm.GetModelObjectSelector().GetAllObjectsWithType(1) ;TYPE 1 = BEAM MODELOBJECTCLASS If @error Then MsgBox(1,"ERROR", "Tekla.Structures.Model.Model" & @CRLF & "ObjectSelector") Exit EndIf $COUNT = 0 $DATA = "NAME = BEAM:" & @CRLF While $ALL_OBJECTS.MoveNext $CURRENT = $ALL_OBJECTS.Current Global $CBY = "*" If $CURRENT.Name = "BEAM" Then $PROFILE = $CURRENT.Profile.ProfileString $ID = $CURRENT.Identifier.ToString $GUID = $TSMm.GetGUIDByIdentifier($CURRENT.Identifier) $CURRENT.SetUserProperty("CHECKED_BY", "Something") $PROP_REPORT = $CURRENT.GetUserProperty("CHECKED_BY", $CBY) $DATA = $DATA & @CRLF & "GUID=" & $GUID & @CRLF & " PROP_REPORT=" & $PROP_REPORT & " CHECKED_BY=" & $CBY $DATA = $DATA & @CRLF & " PROFILE=" & $PROFILE EndIf $COUNT = $COUNT + 1 WEnd ClipPut($DATA) MsgBox(0, $COUNT & " OBJECTS", $DATA) Func _ErrFunc($oError) msgBox(0, "COM Error", "err.number is: " & @TAB & $oError.number & @CRLF & _ "err.windescription:" & @TAB & $oError.windescription & @CRLF & _ "err.description is: " & @TAB & $oError.description & @CRLF & _ "err.source is: " & @TAB & $oError.source & @CRLF & _ "err.helpfile is: " & @TAB & $oError.helpfile & @CRLF & _ "err.helpcontext is: " & @TAB & $oError.helpcontext & @CRLF & _ "err.lastdllerror is: " & @TAB & $oError.lastdllerror & @CRLF & _ "err.scriptline is: " & @TAB & $oError.scriptline & @CRLF & _ "err.retcode is: " & @TAB & $oError.retcode) EndFunc ;==>_ErrFunc No errors, results from $DATA below. expandcollapse popupNAME = BEAM: GUID=ID5253F579-0000-00E0-3133-383132333436 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-000C-EB24-3133-383038323032 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-0006-B23D-3133-383038313137 PROP_REPORT=True CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-0006-7283-3133-383038313136 PROP_REPORT=True CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-0000-3F8B-3133-383038303230 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-000A-EF85-3133-383038313839 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-0002-3B05-3133-383038303838 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-0006-7280-3133-383038313135 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-000C-AB89-3133-383038323031 PROP_REPORT=True CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-000A-EF5F-3133-383038313838 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-0002-3B09-3133-383038303838 PROP_REPORT=True CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-0002-3AFD-3133-383038303838 PROP_REPORT=True CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-0006-B239-3133-383038313137 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-0002-3B01-3133-383038303838 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-000C-EB20-3133-383038323032 PROP_REPORT=True CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-000C-EB28-3133-383038323032 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-000C-AB8D-3133-383038323031 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID524D5D86-000A-EF71-3133-383038313839 PROP_REPORT=True CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-0000-0004-3133-383038303139 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID524C72CC-0000-0004-3133-383037343138 PROP_REPORT=True CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-000A-EF13-3133-383038313836 PROP_REPORT=True CHECKED_BY=* PROFILE=W12X40 GUID=ID524D5D86-000A-EF17-3133-383038313836 PROP_REPORT=True CHECKED_BY=* PROFILE=W16X40 GUID=ID5252F41B-0000-41C4-3133-383131363833 PROP_REPORT=True CHECKED_BY=* PROFILE=W12X58 Link to comment Share on other sites More sharing options...
trancexx Posted October 14, 2013 Share Posted October 14, 2013 You are trying with latest beta AutoIt, right? You should if you aren't. If you are using beta AutoIt and it still doesn't work then download version 3.3.9.12 (or older) from here, uninstall current beta and then try with that one. 3.3.9.13 was apparently version with mentioned bad changes. It's not like I don't trust Jon for correctly reverting the changes he did on my code, it's only that I trust him less after he has chosen to make the changes. ♡♡♡ . eMyvnE Link to comment Share on other sites More sharing options...
MrJustinMeyer Posted October 14, 2013 Author Share Posted October 14, 2013 You are trying with latest beta AutoIt, right? You should if you aren't. If you are using beta AutoIt and it still doesn't work then download version 3.3.9.12 (or older) from here, uninstall current beta and then try with that one. 3.3.9.13 was apparently version with mentioned bad changes. It's not like I don't trust Jon for correctly reverting the changes he did on my code, it's only that I trust him less after he has chosen to make the changes. I am using the latest beta. I typically do not use an installed version, and just run from my flash drive. But through this ordeal I have tried the installed version, the installed beta, and now 3.3.9.12 version as well. Link to comment Share on other sites More sharing options...
trancexx Posted October 14, 2013 Share Posted October 14, 2013 Is there any possibility that I get in touch with that objects myself? Do I need to pay thousands of dollars and have or work for multi-million dollar business or is there anything available for developers? Btw, yesterday you posted at 04:44 AM and today at 03:33 AM according to my forum time. That's cool . If you post tomorrow at 02:22 AM then what will happen when you hit zeroes? Will the world we know cease to exist? Should we get drunk or something before that? Damn Tekla :cry: ♡♡♡ . eMyvnE Link to comment Share on other sites More sharing options...
MrJustinMeyer Posted October 14, 2013 Author Share Posted October 14, 2013 Is there any possibility that I get in touch with that objects myself? That is questionable... Do I need to pay thousands of dollars and have or work for multi-million dollar business It helps... or is there anything available for developers? If you pay thousands of dollars and have or work for multi-million dollar business... The API and its documentation are extremely well maintained, and their is a great developer network. Unfortunately you have to be a member of the very expensive "maintenance" club to get access. And even then, if you don't follow the way of C#, no support. Link to comment Share on other sites More sharing options...
JohnOne Posted October 14, 2013 Share Posted October 14, 2013 Few words. TeamViewer Private Message AutoIt Absolute Beginners Require a serial Pause Script Video Tutorials by Morthawt ipify Monkey's are, like, natures humans. Link to comment Share on other sites More sharing options...
DigitalFacade82 Posted April 25, 2014 Share Posted April 25, 2014 (edited) Hi Sorry to dig up an old thread....well its not old old, but it's old enough. But from what I can tell there is not a lot of *new* info on this topic. I am not a developer by any means, but I do come across some interesting finds on the web from time to time. This may or may not be appropriate for this subject, but I see that it was causing some grief. Could this be a solution or even of interest to anyone here? Get AutoIt reference working in C# http://stackoverflow.com/questions/14644258/get-autoit-reference-working-in-c-sharp Solution based off this here -> How to use a 32 bit COM object on Windows Server 2008 (works on 2008 R2 but non 2008) http://stackoverflow.com/questions/4043954/how-to-use-a-32-bit-com-object-on-windows-server-2008-works-on-2008-r2-but-non Edit: For the sake of broken links and lost content here: Okay the solution was: Open up regedit*32 (c:windowssyswow64regedit) Search for AutoItX in HKEY_CLASSES_ROOTAppID I found it in HKEY_CLASSES_ROOTAppID{6E8109C4-F369-415D-AF9A-2AEEFF313234} Create a blank REG_SZ (String) entry called DllSurrogate For some reason, this completely solved the issue. If so then a minor update to the AutoIT installation could be a solution? Edited April 25, 2014 by DigitalFacade82 Link to comment Share on other sites More sharing options...
Recommended Posts
Create an account or sign in to comment
You need to be a member in order to leave a comment
Create an account
Sign up for a new account in our community. It's easy!
Register a new accountSign in
Already have an account? Sign in here.
Sign In Now